RESTinio

Public Types | Public Member Functions | Private Attributes | List of all members
restinio::impl::connection_factory_t< Traits > Class Template Reference

Factory for connections. More...

`#include <connection.hpp>`

## Public Types
using | logger_t = typename Traits::logger_t
using | stream_socket_t = typename Traits::stream_socket_t
using | lifetime_monitor_t = typename connection_count_limit_types< Traits >::lifetime_monitor_t

## Public Member Functions
| connection_factory_t (connection_settings_handle_t< Traits > connection_settings, std::unique_ptr< socket_options_setter_t > socket_options_setter)
auto | create_new_connection (stream_socket_t socket, endpoint_t remote_endpoint, lifetime_monitor_t lifetime_monitor)

## Private Attributes
connection_id_t | m_connection_id_counter { 1 }
connection_settings_handle_t< Traits > | m_connection_settings
std::unique_ptr< socket_options_setter_t > | m_socket_options_setter
logger_t & | m_logger

## Detailed Description

template<typename Traits>
class restinio::impl::connection_factory_t< Traits >

Factory for connections.

Definition at line 1708 of file connection.hpp.

## Member Typedef Documentation

## ◆ lifetime_monitor_t

template<typename Traits >

using restinio::impl::connection_factory_t< Traits >::lifetime_monitor_t = typename connection_count_limit_types<Traits>::lifetime_monitor_t

Definition at line 1713 of file connection.hpp.

## ◆ logger_t

template<typename Traits >

using restinio::impl::connection_factory_t< Traits >::logger_t = typename Traits::logger_t

Definition at line 1711 of file connection.hpp.

## ◆ stream_socket_t

template<typename Traits >

using restinio::impl::connection_factory_t< Traits >::stream_socket_t = typename Traits::stream_socket_t

Definition at line 1712 of file connection.hpp.

## Constructor & Destructor Documentation

## ◆ connection_factory_t()

template<typename Traits >

restinio::impl::connection_factory_t< Traits >::connection_factory_t | ( | connection_settings_handle_t< Traits > | connection_settings,
|  | std::unique_ptr< socket_options_setter_t > | socket_options_setter
| ) |  |
| inline

Definition at line 1716 of file connection.hpp.

## Member Function Documentation

## ◆ create_new_connection()

template<typename Traits >

auto restinio::impl::connection_factory_t< Traits >::create_new_connection | ( | stream_socket_t | socket,
|  | endpoint_t | remote_endpoint,
|  | lifetime_monitor_t | lifetime_monitor
| ) |  |
| inline

Definition at line 1729 of file connection.hpp.

## Member Data Documentation

## ◆ m_connection_id_counter

template<typename Traits >

connection_id_t restinio::impl::connection_factory_t< Traits >::m_connection_id_counter { 1 }
| private

Definition at line 1750 of file connection.hpp.

## ◆ m_connection_settings

template<typename Traits >

connection_settings_handle_t< Traits > restinio::impl::connection_factory_t< Traits >::m_connection_settings
| private

Definition at line 1752 of file connection.hpp.

## ◆ m_logger

template<typename Traits >

logger_t& restinio::impl::connection_factory_t< Traits >::m_logger
| private

Definition at line 1756 of file connection.hpp.

## ◆ m_socket_options_setter

template<typename Traits >

std::unique_ptr< socket_options_setter_t > restinio::impl::connection_factory_t< Traits >::m_socket_options_setter
| private

Definition at line 1754 of file connection.hpp.

The documentation for this class was generated from the following file:

- restinio/impl/connection.hpp